# DataExchange
TKSTEP209
StepFEA

# StepFEA_FreedomsList Class Reference

Representation of STEP entity FreedomsList
.

`#include <StepFEA_FreedomsList.hxx>`

## Public Member Functions

Standard_EXPORT | StepFEA_FreedomsList ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(StepFEA_HArray1OfDegreeOfFreedom)&aFreedoms)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepFEA_HArray1OfDegreeOfFreedom | Freedoms () const
| Returns field Freedoms .
Standard_EXPORT void | SetFreedoms (const Handle(StepFEA_HArray1OfDegreeOfFreedom)&Freedoms)
| Set field Freedoms .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepFEA_HArray1OfDegreeOfFreedom | theFreedoms

## Constructor & Destructor Documentation

Standard_EXPORT StepFEA_FreedomsList::StepFEA_FreedomsList | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepFEA_HArray1OfDegreeOfFreedom StepFEA_FreedomsList::Freedoms | ( |  | ) | const

Standard_EXPORT const StepFEA_FreedomsList::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepFEA_FreedomsList::Init | ( | const Handle(StepFEA_HArray1OfDegreeOfFreedom)& | aFreedoms | ) |

Standard_EXPORT void StepFEA_FreedomsList::SetFreedoms | ( | const Handle(StepFEA_HArray1OfDegreeOfFreedom)& | Freedoms | ) |

## Field Documentation

Handle_StepFEA_HArray1OfDegreeOfFreedom StepFEA_FreedomsList::theFreedoms `[private]`

The documentation for this class was generated from the following file:

- StepFEA_FreedomsList.hxx